Bug 247168 - Remove the perl monitoring code
Remove the perl monitoring code
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
pete oberlin
:
Depends On:
Blocks: 428922
  Show dependency treegraph
 
Reported: 2007-07-05 14:58 EDT by James Bowes
Modified: 2013-08-05 23:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: 505
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 07:15:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2007-07-05 14:58:11 EDT
Hosted doesn't use monitoring. remove the perl code.
Comment 1 James Bowes 2008-03-31 09:08:19 EDT
== Testing Overview ==

The only changed code for this bug is in perl (the *.pxt pages), so you do not
need to examine any java pages (the *.do ones). The Java code was removed
previously (and in a few other bugs for this sprint).

* There should be no links to any pages under network/monitoring or
network/contact_methods
* Any perl pages listing systems should function properly and not display any
monitoring details
* Likewise for system group pages

Specific pages:
* https://rhn.webdev.redhat.com/network/software/packages/target_system_list.pxt
  + View this by selecting a package, viewing its details, and selecting the
Target Systems link
* https://rhn.webdev.redhat.com/network/software/packages/system_list.pxt
  + View this by selecting a package, viewing its details, and selecting the
Installed Systems link
* https://rhn.webdev.redhat.com/network/systems/groups/system_list.pxt
  + View this by selecting a system group, viewing its details, and selecting
the Systems link
* https://rhn.webdev.redhat.com/network/systems/groups/target_system_list.pxt
  + View this by selecting a system group, viewing its details, and selecting
the Target Systems link
* https://rhn.webdev.redhat.com/network/systems/ssm/system_list.pxt
  + View this by selecting a system set, and viewing the Systems link
Comment 2 James Bowes 2008-03-31 09:11:39 EDT
Let me know if you'd like more detail for testing, btw

Note You need to log in before you can comment on or make changes to this bug.